#
# spec file for package mures (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_image SDL_image-devel SDL_net SDL_ttf alsa audiofile esound freetype2 kdelibs-artsd libjpeg libpng xf86
# usedforbuild    SDL SDL-devel SDL_image SDL_image-devel SDL_net SDL_ttf aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mures
Copyright:    GPL
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.4
Release:      85
Summary:      A multiplayer puzzle game
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}-%{version}.dif

%description
Mures is a cross-platform clone of Sega's "Chu Chu Rocket," a multi-player puzzle game. It is written in C using SDL. Multi-player is handled through a client-server design that supports multiple players per client.

Authors:
--------
    Adam D'Angelo <dangelo@ntplx.net> 
    

SuSE series: fun

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
make

%install
make install
DATADIR=/usr/games/mures
rm -fr $DATADIR
install -d -m 755 $DATADIR
install -d -m 755 $DATADIR/images
install -d -m 755 $DATADIR/maps
install -d -m 755 $DATADIR/gui
install -d -m 755 $DATADIR/sounds
cp -a src/maps/[a-z]* $DATADIR/maps
rm -f $DATADIR/maps/*/Makefile*
cp -a src/images/*.ttf src/images/*.png src/images/*.ani src/images/*.Fonts $DATADIR/images
cp -a src/gui/*.png $DATADIR/gui
cp -a src/sounds/*.wav $DATADIR/sounds

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/usr/X11R6/bin/mures
/usr/games/mures

%changelog -n mures
* Mon Aug 27 2001 - uli@suse.de
- update -> 0.4
  Added animation support.
  Altered collision detection to be compatible with dreamcast/gba
  puzzles.
  Altered cat speed/mouse speed ratio to be compatible with dreamcast/gba
  puzzles. Cat speed is now 2/3 mouse speed.
  Added puzzle mode.
  Added joystick support.
  Added support for wrapping from top to bottom / left to right in maps.
  Added directional creature images.
  Added a clock percentage bar.
* Tue Aug 07 2001 - uli@suse.de
- initial package
